function bdlc:Config()
	-- Config window
	bdlcconfig = CreateFrame('frame', 'BDLC Config', UIParent)
	bdlcconfig:SetFrameStrata("HIGH")
	bdlcconfig:SetFrameLevel(50)
	bdlcconfig:SetSize(400, 100);
	bdlcconfig:SetPoint("CENTER");
	bdlcconfig:EnableMouse(true);
	bdlcconfig:SetMovable(true);
	bdlcconfig:SetUserPlaced(true);
	bdlcconfig:SetClampedToScreen(true);
	bdlcconfig:RegisterForDrag("LeftButton","RightButton")
	bdlcconfig:SetScript("OnDragStart", function(self) bdlcconfig:StartMoving() end)
	bdlcconfig:SetScript("OnDragStop", function(self)  bdlcconfig:StopMovingOrSizing() end)
	skinBackdrop(bdlcconfig, .1,.1,.1,.9);
	bdlcconfig:Hide();
	
	bdlcconfig.title = bdlcconfig:CreateFontString('nil', "OVERLAY", "GameFontNormal")
	bdlcconfig.title:SetText("Big Dumb Config")
	bdlcconfig.title:SetTextColor(1,1,1)
	bdlcconfig.title:SetPoint("TOP", bdlcconfig, "TOP", 0,-6)
	
	bdlcconfig.close = CreateFrame("frame", nil, bdlcconfig)
	bdlcconfig.close:SetPoint("TOPRIGHT", bdlcconfig, "TOPRIGHT", -4, -4)
	skinButton(bdlcconfig.close, "x", 20, {.4, .1, .1, .6})
	bdlcconfig.close:SetBackdropColor(.5,.1,.1,.5)
	bdlcconfig.close:EnableMouse(true)
	bdlcconfig.close:SetHeight(20)
	bdlcconfig.close:SetScript("OnMouseUp", function()
		bdlcconfig:Hide()
		bdlc_config_toggle = false
	end)
	bdlcconfig.close:SetScript("OnEnter", function()
		bdlcconfig.close:SetBackdropColor(.5,.1,.1,1)
	end)
	bdlcconfig.close:SetScript("OnLeave", function()
		bdlcconfig.close:SetBackdropColor(.5,.1,.1,.5)
	end)
	
	GuildRoster()
	local listOfRanks = {}
	bdlcconfig:RegisterEvent("GUILD_ROSTER_UPDATE")
	bdlcconfig:SetScript("OnEvent", function(self,event,arg1)
		local numGuildMembers, numOnline, numOnlineAndMobile = GetNumGuildMembers()
		for i =1, numGuildMembers do
			local name, rank, rankIndex, _, class = GetGuildRosterInfo(i)
			listOfRanks[rankIndex] = rank
		end
	end)
	

	bdlcconfig.guildranks = CreateFrame("Button", "GuildRankDropdown", bdlcconfig, "UIDropDownMenuTemplate")
	bdlcconfig.guildranks:ClearAllPoints()
	bdlcconfig.guildranks:SetPoint("TOP", bdlcconfig, "TOP", 0, -50)
	bdlcconfig.guildranks:Show()
	bdlcconfig.guildranks.text = bdlcconfig.guildranks:CreateFontString(nil, "OVERLAY", "GameFontNormal")
	bdlcconfig.guildranks.text:SetTextColor(1,1,1)
	bdlcconfig.guildranks.text:SetPoint("BOTTOM", bdlcconfig.guildranks, "TOP", 0, 4)
	bdlcconfig.guildranks.text:SetText("Minimum rank to be included in Loot Council")

	local function OnClick(self)
		UIDropDownMenu_SetSelectedID(bdlcconfig.guildranks, self:GetID())
		bdlc_config.council_min_rank = self:GetID()

	end

	local function initialize(self, level)
		local info = UIDropDownMenu_CreateInfo()
		for i = 1, #listOfRanks do
			if (listOfRanks[i]) then 
				local v = listOfRanks[i]
				info = UIDropDownMenu_CreateInfo()
				info.text = v
				info.value = v
				info.func = OnClick

				UIDropDownMenu_AddButton(info, level)
			end
		end
		--print("init")
		--UIDropDownMenu_SetSelectedValue(self, bdlc_config.council_min_rank)
		--_G[self:GetName().."Text"]:SetText("test")
	end


	UIDropDownMenu_Initialize(bdlcconfig.guildranks, initialize, "MENU")
	UIDropDownMenu_SetWidth(bdlcconfig.guildranks,200);
	UIDropDownMenu_SetButtonWidth(bdlcconfig.guildranks, 224)
	--UIDropDownMenu_SetSelectedValue(bdlcconfig.guildranks, bdlc_config.council_min_rank)
	UIDropDownMenu_SetSelectedID(bdlcconfig.guildranks, bdlc_config.council_min_rank)
	UIDropDownMenu_JustifyText(bdlcconfig.guildranks, "LEFT")
	
	--ToggleDropDownMenu(1, bdlc_config.council_min_rank, bdlcconfig.guildranks)
	
	
	
	bdlcconfig:SetScript("OnShow", function() 
		--UIDropDownMenu_SetSelectedValue(bdlcconfig.guildranks, bdlc_config.council_min_rank)
	end)
end